C3DTransformation::iterator_impl Class Referenceabstract

`#include <mia/3d/transform.hh>`

Inheritance diagram for C3DTransformation::iterator_impl:
[legend]

## Public Member Functions

virtual iterator_impl * | clone () const __attribute__((warn_unused_result))=0
const C3DBounds & | get_pos () const
const C3DBounds & | get_size () const
const C3DFVector & | get_value () const
void | increment ()
| move to next position
| iterator_impl ()
| iterator_impl (const C3DBounds &pos, const C3DBounds &begin, const C3DBounds &end, const C3DBounds &size)
| iterator_impl (const C3DBounds &pos, const C3DBounds &size)
bool | operator== (const iterator_impl &other) const

## Detailed Description

This is the abstract base class of the actual implementation of the transformation iterator.

Definition at line 70 of file 3d/transform.hh.

## Constructor & Destructor Documentation

## iterator_impl() [1/3]

C3DTransformation::iterator_impl::iterator_impl | ( |  | ) |

Referenced by clone(), and operator==().

## iterator_impl() [2/3]

C3DTransformation::iterator_impl::iterator_impl | ( | const C3DBounds & | pos,
|  | const C3DBounds & | size )

Initialize the iterator with its current position and the size of the domain the actual domain is: \([0,size.x-1]\times [0,size.y-1]\times [0,size.z-1]\)

## iterator_impl() [3/3]

C3DTransformation::iterator_impl::iterator_impl | ( | const C3DBounds & | pos,
|  | const C3DBounds & | begin,
|  | const C3DBounds & | end,
|  | const C3DBounds & | size )

Initialize the iterator with its current position, the subarea to be traveresed, and the size of the domain the complete domain is: \([0,size.x-1]\times [0,size.y-1]\times [0,size.z-1]\)

References C3DTransformation::begin(), and C3DTransformation::end().

## Member Function Documentation

## clone()

virtual iterator_impl * C3DTransformation::iterator_impl::clone | ( |  | ) | const

pure virtual

Returns
  a dynamic copy of the iterator

References iterator_impl().

## get_pos()

const C3DBounds & C3DTransformation::iterator_impl::get_pos | ( |  | ) | const

Returns
  the current position on the support domain grid

References get_pos().

Referenced by get_pos().

## get_size()

const C3DBounds & C3DTransformation::iterator_impl::get_size | ( |  | ) | const

Returns
  the size of the supported domain

References get_size().

Referenced by get_size().

## get_value()

const C3DFVector & C3DTransformation::iterator_impl::get_value | ( |  | ) | const

Returns
  current value of the underlying transformation

## increment()

void C3DTransformation::iterator_impl::increment | ( |  | ) |

move to next position

## operator==()

bool C3DTransformation::iterator_impl::operator== | ( | const iterator_impl & | other | ) | const

Compare this iterator to another one. Iterators are equal if they are at the same position or at the end.

References iterator_impl().

The documentation for this class was generated from the following file:

- 3d/transform.hh